Page 1 of 1

Issues with Libpcap

Posted: 2014/03/09 14:29:21
by pauvila
Hi,

I'm new to CentOS and also to linux-based servers. I'm trying to install Adobe Media Server in a CentOS based machine, but it needs the libpcap library in order to work. I uploaded the package in my home directory, uncompressed it and installed it following the recommended steps (./configure, make and make install). The process seemed to work well, it didn't return any error.

The problem is that even though libpcap looks correctly installed, Adobe Media Server keeps telling me that I need libpcap, so it doesn't recognize it.

Should I have defined a specific installation path? Is there a way I can check the status of libpcap (if the server recognizes it as installed and its version)?

Thank you,

Pau

Re: Issues with Libpcap

Posted: 2014/03/09 14:53:17
by avij
I take it a simple "yum install libpcap" did not work? You should not need to compile libpcap from source.

Re: Issues with Libpcap

Posted: 2014/03/20 15:50:35
by pauvila
It did work, the libpcap installation finished but somehow Adobe Media Server still tells me that I need libpcap to execute the installation, so I was wondering if there was a special procedure to follow after doing a yum install libpcap or a way to check if it did install successfully.

Re: Issues with Libpcap

Posted: 2014/03/20 17:53:20
by avij
Perhaps the installer needs the 32bit package as well. Install that with "yum install libcap.i386". If that doesn't work, time to contact Adobe support to resolve the issue.

Re: Issues with Libpcap

Posted: 2014/03/27 18:29:04
by pauvila
Just in case someone else has the same issue in the future: I solved it by opening the Flash Media Server (or Adobe Media Server) installation file (./installAMS) with vi, and deleting the lines which correspond to checking if libcap is installed. The software works completely fine, so I guess it was an issue with the way the system checks if it is installed.

Re: Issues with Libpcap

Posted: 2014/12/15 14:19:43
by joe.redhat
Just install libpcap-devel.

# yum install libpcap*